<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: Utils Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_utils.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="class_utils-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">Utils Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for Utils:</div>
<div class="dyncontent">
 <div class="center">
  <img src="class_utils.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-types" name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:afff7ca6f3fdcb8a7848e84db230e811f"><td class="memItemLeft" align="right" valign="top">enum class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_utils.html#afff7ca6f3fdcb8a7848e84db230e811f">ElementType</a> { <br />
&#160;&#160;<a class="el" href="class_utils.html#afff7ca6f3fdcb8a7848e84db230e811fac97ad854bf48c774ad3d0863fe1ec8cd">DISPLAY</a>
, <a class="el" href="class_utils.html#afff7ca6f3fdcb8a7848e84db230e811faf8589806bbf66241917092b2a6e18c6f">LIGHT</a>
, <a class="el" href="class_utils.html#afff7ca6f3fdcb8a7848e84db230e811fa61a96ffcb251bb9bf0abf8fec19d0ea8">TEXT</a>
, <a class="el" href="class_utils.html#afff7ca6f3fdcb8a7848e84db230e811faf54e4b43b21580e967d29a9b7e735953">SOUND</a>
, <br />
&#160;&#160;<a class="el" href="class_utils.html#afff7ca6f3fdcb8a7848e84db230e811fa8b4ed667c4c4cfec1e5bf403f1b5b089">MOVABLE</a>
, <a class="el" href="class_utils.html#afff7ca6f3fdcb8a7848e84db230e811fa10d32e2bd22bd45164676c80a632a152">ROTATABLE</a>
, <a class="el" href="class_utils.html#afff7ca6f3fdcb8a7848e84db230e811fa57b35198356d373bcd2a6e08abcb3795">BUTTON</a>
, <a class="el" href="class_utils.html#afff7ca6f3fdcb8a7848e84db230e811fa2d13f7e9bde0277e8a81eeb4569e8e33">TOUCHSCREEN</a>
, <br />
&#160;&#160;<a class="el" href="class_utils.html#afff7ca6f3fdcb8a7848e84db230e811fa3c93f85078b290625b7c4db299979c4f">SLIDER</a>
, <a class="el" href="class_utils.html#afff7ca6f3fdcb8a7848e84db230e811fab50339a10e1de285ac99d4c3990b8693">NONE</a>
<br />
 }</td></tr>
<tr class="memdesc:afff7ca6f3fdcb8a7848e84db230e811f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Contains all Vivian Specs  <a href="class_utils.html#afff7ca6f3fdcb8a7848e84db230e811f">More...</a><br /></td></tr>
<tr class="separator:afff7ca6f3fdcb8a7848e84db230e811f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-static-methods" name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:ab30053d4a10e95848e87952fc66c8cd7"><td class="memItemLeft" align="right" valign="top"><a id="ab30053d4a10e95848e87952fc66c8cd7" name="ab30053d4a10e95848e87952fc66c8cd7"></a>
static void&#160;</td><td class="memItemRight" valign="bottom"><b>CreateState</b> (StateSpec stateSpec)</td></tr>
<tr class="separator:ab30053d4a10e95848e87952fc66c8cd7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a592bcafc407fc822614e71a98d178081"><td class="memItemLeft" align="right" valign="top"><a id="a592bcafc407fc822614e71a98d178081" name="a592bcafc407fc822614e71a98d178081"></a>
static InteractionElementSpec&#160;</td><td class="memItemRight" valign="bottom"><b>GetInteractionElement&lt; T &gt;</b> (string element)</td></tr>
<tr class="separator:a592bcafc407fc822614e71a98d178081"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3190a484104fa4b1d53581c5e222d644"><td class="memItemLeft" align="right" valign="top"><a id="a3190a484104fa4b1d53581c5e222d644" name="a3190a484104fa4b1d53581c5e222d644"></a>
static VisualizationElementSpec&#160;</td><td class="memItemRight" valign="bottom"><b>GetVisualizationElement&lt; T &gt;</b> (string element)</td></tr>
<tr class="separator:a3190a484104fa4b1d53581c5e222d644"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac1958cd90ee3426959f67d8f6ae2a1d1"><td class="memItemLeft" align="right" valign="top"><a id="ac1958cd90ee3426959f67d8f6ae2a1d1" name="ac1958cd90ee3426959f67d8f6ae2a1d1"></a>
static StateSpec&#160;</td><td class="memItemRight" valign="bottom"><b>GetState</b> (string stateName)</td></tr>
<tr class="separator:ac1958cd90ee3426959f67d8f6ae2a1d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac4db42468b93365ef9ce576e06fd5f1d"><td class="memItemLeft" align="right" valign="top"><a id="ac4db42468b93365ef9ce576e06fd5f1d" name="ac4db42468b93365ef9ce576e06fd5f1d"></a>
static StateSpec&#160;</td><td class="memItemRight" valign="bottom"><b>GetCurrentState</b> ()</td></tr>
<tr class="separator:ac4db42468b93365ef9ce576e06fd5f1d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a164e0563ca6d9aa06c45bebf436f05"><td class="memItemLeft" align="right" valign="top"><a id="a5a164e0563ca6d9aa06c45bebf436f05" name="a5a164e0563ca6d9aa06c45bebf436f05"></a>
static int&#160;</td><td class="memItemRight" valign="bottom"><b>GetStateIndex</b> (string stateName)</td></tr>
<tr class="separator:a5a164e0563ca6d9aa06c45bebf436f05"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aad2b260cf019a16e843666f807bb710c"><td class="memItemLeft" align="right" valign="top"><a id="aad2b260cf019a16e843666f807bb710c" name="aad2b260cf019a16e843666f807bb710c"></a>
static TransitionSpec&#160;</td><td class="memItemRight" valign="bottom"><b>GetTransition</b> (string specName, EventSpec type)</td></tr>
<tr class="separator:aad2b260cf019a16e843666f807bb710c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abddd8792e25eca5b540d6f438cb7dabd"><td class="memItemLeft" align="right" valign="top"><a id="abddd8792e25eca5b540d6f438cb7dabd" name="abddd8792e25eca5b540d6f438cb7dabd"></a>
static TransitionSpec&#160;</td><td class="memItemRight" valign="bottom"><b>GetTransition</b> (string sourceState, string specName, EventSpec type)</td></tr>
<tr class="separator:abddd8792e25eca5b540d6f438cb7dabd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a88afd33827c764d277dcd64920351ae1"><td class="memItemLeft" align="right" valign="top"><a id="a88afd33827c764d277dcd64920351ae1" name="a88afd33827c764d277dcd64920351ae1"></a>
static VisualizationArraySpec&#160;</td><td class="memItemRight" valign="bottom"><b>GetVisualizationArray</b> (string array)</td></tr>
<tr class="separator:a88afd33827c764d277dcd64920351ae1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a546802d6f59d841102326923bb12e51f"><td class="memItemLeft" align="right" valign="top"><a id="a546802d6f59d841102326923bb12e51f" name="a546802d6f59d841102326923bb12e51f"></a>
static List&lt; InteractionElementSpec &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>GetInteractionElements</b> (string element)</td></tr>
<tr class="separator:a546802d6f59d841102326923bb12e51f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f2d6e307121e9875a4ad7e91cc481b8"><td class="memItemLeft" align="right" valign="top"><a id="a9f2d6e307121e9875a4ad7e91cc481b8" name="a9f2d6e307121e9875a4ad7e91cc481b8"></a>
static List&lt; VisualizationElementSpec &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>GetVisualizationElements</b> (string element)</td></tr>
<tr class="separator:a9f2d6e307121e9875a4ad7e91cc481b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad069fd6bb6a50034f5b157eef1f1d91a"><td class="memItemLeft" align="right" valign="top"><a id="ad069fd6bb6a50034f5b157eef1f1d91a" name="ad069fd6bb6a50034f5b157eef1f1d91a"></a>
static List&lt; StateSpec &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>GetStates</b> (string stateName)</td></tr>
<tr class="separator:ad069fd6bb6a50034f5b157eef1f1d91a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa529a2346a2a83b6a640d7709a86bc9"><td class="memItemLeft" align="right" valign="top"><a id="aaa529a2346a2a83b6a640d7709a86bc9" name="aaa529a2346a2a83b6a640d7709a86bc9"></a>
static List&lt; TransitionSpec &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>GetTransitions</b> (string linkedSituation)</td></tr>
<tr class="separator:aaa529a2346a2a83b6a640d7709a86bc9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0327d83259e7e4b97ebc731ddf20fcfa"><td class="memItemLeft" align="right" valign="top"><a id="a0327d83259e7e4b97ebc731ddf20fcfa" name="a0327d83259e7e4b97ebc731ddf20fcfa"></a>
static List&lt; TransitionSpec &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>GetTransitions</b> (string source, string destination)</td></tr>
<tr class="separator:a0327d83259e7e4b97ebc731ddf20fcfa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68614eba92f1abded960e4cfa8225e81"><td class="memItemLeft" align="right" valign="top"><a id="a68614eba92f1abded960e4cfa8225e81" name="a68614eba92f1abded960e4cfa8225e81"></a>
static List&lt; VisualizationArraySpec &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>GetVisualizationArrays</b> (string array)</td></tr>
<tr class="separator:a68614eba92f1abded960e4cfa8225e81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9074cedc809a670a328f054498f67ca"><td class="memItemLeft" align="right" valign="top"><a id="ac9074cedc809a670a328f054498f67ca" name="ac9074cedc809a670a328f054498f67ca"></a>
static void&#160;</td><td class="memItemRight" valign="bottom"><b>UpdateState</b> (string stateName)</td></tr>
<tr class="separator:ac9074cedc809a670a328f054498f67ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4187f0ec97cc29945c425bb46c4cc0d8"><td class="memItemLeft" align="right" valign="top"><a id="a4187f0ec97cc29945c425bb46c4cc0d8" name="a4187f0ec97cc29945c425bb46c4cc0d8"></a>
static void&#160;</td><td class="memItemRight" valign="bottom"><b>SetCurrentState</b> (string stateName)</td></tr>
<tr class="separator:a4187f0ec97cc29945c425bb46c4cc0d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad107fcf29655462a8a7f6d14660eae47"><td class="memItemLeft" align="right" valign="top"><a id="ad107fcf29655462a8a7f6d14660eae47" name="ad107fcf29655462a8a7f6d14660eae47"></a>
static void&#160;</td><td class="memItemRight" valign="bottom"><b>DeleteInteractionElement&lt; T &gt;</b> (string element)</td></tr>
<tr class="separator:ad107fcf29655462a8a7f6d14660eae47"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a37fb7f97ce52a843c7e1339f961f41b0"><td class="memItemLeft" align="right" valign="top"><a id="a37fb7f97ce52a843c7e1339f961f41b0" name="a37fb7f97ce52a843c7e1339f961f41b0"></a>
static void&#160;</td><td class="memItemRight" valign="bottom"><b>DeleteVisualizationElement&lt; T &gt;</b> (string element)</td></tr>
<tr class="separator:a37fb7f97ce52a843c7e1339f961f41b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4fcb8774f5b2643db9a1a51d21d67c1"><td class="memItemLeft" align="right" valign="top"><a id="ad4fcb8774f5b2643db9a1a51d21d67c1" name="ad4fcb8774f5b2643db9a1a51d21d67c1"></a>
static bool&#160;</td><td class="memItemRight" valign="bottom"><b>DeleteState</b> (string stateName)</td></tr>
<tr class="separator:ad4fcb8774f5b2643db9a1a51d21d67c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7fc1a1b574ca86882a8de733f73ca35f"><td class="memItemLeft" align="right" valign="top"><a id="a7fc1a1b574ca86882a8de733f73ca35f" name="a7fc1a1b574ca86882a8de733f73ca35f"></a>
static bool&#160;</td><td class="memItemRight" valign="bottom"><b>DeleteTransition</b> (string specName, EventSpec type)</td></tr>
<tr class="separator:a7fc1a1b574ca86882a8de733f73ca35f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8609ce6a3791641236fdd70397453ba3"><td class="memItemLeft" align="right" valign="top"><a id="a8609ce6a3791641236fdd70397453ba3" name="a8609ce6a3791641236fdd70397453ba3"></a>
static bool&#160;</td><td class="memItemRight" valign="bottom"><b>DeleteTransition</b> (TransitionSpec transition)</td></tr>
<tr class="separator:a8609ce6a3791641236fdd70397453ba3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd84b705ebe19552557f87943fa9612a"><td class="memItemLeft" align="right" valign="top"><a id="acd84b705ebe19552557f87943fa9612a" name="acd84b705ebe19552557f87943fa9612a"></a>
static bool&#160;</td><td class="memItemRight" valign="bottom"><b>DeleteVisualizationArray</b> (string array)</td></tr>
<tr class="separator:acd84b705ebe19552557f87943fa9612a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99910f8d65b202109789a8c87cc09b58"><td class="memItemLeft" align="right" valign="top"><a id="a99910f8d65b202109789a8c87cc09b58" name="a99910f8d65b202109789a8c87cc09b58"></a>
static <a class="el" href="class_utils.html#afff7ca6f3fdcb8a7848e84db230e811f">ElementType</a>&#160;</td><td class="memItemRight" valign="bottom"><b>ParseVisualizationSpec</b> (VisualizationElementSpec spec)</td></tr>
<tr class="separator:a99910f8d65b202109789a8c87cc09b58"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12f6900587636ca8e53f6571e88d879c"><td class="memItemLeft" align="right" valign="top"><a id="a12f6900587636ca8e53f6571e88d879c" name="a12f6900587636ca8e53f6571e88d879c"></a>
static <a class="el" href="class_utils.html#afff7ca6f3fdcb8a7848e84db230e811f">ElementType</a>&#160;</td><td class="memItemRight" valign="bottom"><b>ParseInteractionSpec</b> (InteractionElementSpec spec)</td></tr>
<tr class="separator:a12f6900587636ca8e53f6571e88d879c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b3fa945308a46048cde070809fd9dea"><td class="memItemLeft" align="right" valign="top"><a id="a6b3fa945308a46048cde070809fd9dea" name="a6b3fa945308a46048cde070809fd9dea"></a>
static bool&#160;</td><td class="memItemRight" valign="bottom"><b>IsPointerOverUI</b> ()</td></tr>
<tr class="separator:a6b3fa945308a46048cde070809fd9dea"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Enumeration Documentation</h2>
<a id="afff7ca6f3fdcb8a7848e84db230e811f" name="afff7ca6f3fdcb8a7848e84db230e811f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afff7ca6f3fdcb8a7848e84db230e811f">&#9670;&nbsp;</a></span>ElementType</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">enum class <a class="el" href="class_utils.html#afff7ca6f3fdcb8a7848e84db230e811f">Utils.ElementType</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Contains all Vivian Specs </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="afff7ca6f3fdcb8a7848e84db230e811fac97ad854bf48c774ad3d0863fe1ec8cd" name="afff7ca6f3fdcb8a7848e84db230e811fac97ad854bf48c774ad3d0863fe1ec8cd"></a>DISPLAY&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="afff7ca6f3fdcb8a7848e84db230e811faf8589806bbf66241917092b2a6e18c6f" name="afff7ca6f3fdcb8a7848e84db230e811faf8589806bbf66241917092b2a6e18c6f"></a>LIGHT&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="afff7ca6f3fdcb8a7848e84db230e811fa61a96ffcb251bb9bf0abf8fec19d0ea8" name="afff7ca6f3fdcb8a7848e84db230e811fa61a96ffcb251bb9bf0abf8fec19d0ea8"></a>TEXT&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="afff7ca6f3fdcb8a7848e84db230e811faf54e4b43b21580e967d29a9b7e735953" name="afff7ca6f3fdcb8a7848e84db230e811faf54e4b43b21580e967d29a9b7e735953"></a>SOUND&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="afff7ca6f3fdcb8a7848e84db230e811fa8b4ed667c4c4cfec1e5bf403f1b5b089" name="afff7ca6f3fdcb8a7848e84db230e811fa8b4ed667c4c4cfec1e5bf403f1b5b089"></a>MOVABLE&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="afff7ca6f3fdcb8a7848e84db230e811fa10d32e2bd22bd45164676c80a632a152" name="afff7ca6f3fdcb8a7848e84db230e811fa10d32e2bd22bd45164676c80a632a152"></a>ROTATABLE&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="afff7ca6f3fdcb8a7848e84db230e811fa57b35198356d373bcd2a6e08abcb3795" name="afff7ca6f3fdcb8a7848e84db230e811fa57b35198356d373bcd2a6e08abcb3795"></a>BUTTON&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="afff7ca6f3fdcb8a7848e84db230e811fa2d13f7e9bde0277e8a81eeb4569e8e33" name="afff7ca6f3fdcb8a7848e84db230e811fa2d13f7e9bde0277e8a81eeb4569e8e33"></a>TOUCHSCREEN&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="afff7ca6f3fdcb8a7848e84db230e811fa3c93f85078b290625b7c4db299979c4f" name="afff7ca6f3fdcb8a7848e84db230e811fa3c93f85078b290625b7c4db299979c4f"></a>SLIDER&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="afff7ca6f3fdcb8a7848e84db230e811fab50339a10e1de285ac99d4c3990b8693" name="afff7ca6f3fdcb8a7848e84db230e811fab50339a10e1de285ac99d4c3990b8693"></a>NONE&#160;</td><td class="fielddoc"></td></tr>
</table>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/chris/dev/unity/VivianUI/Assets/Scripts/<a class="el" href="_utils_8cs.html">Utils.cs</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_utils.html">Utils</a></li>
    <li class="footer">Generated on Mon Dec 20 2021 15:26:14 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
